/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: Handler.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

package com.sun.ts.tests.jaxws.mapping.w2jmapping.document.literal.annotations;

import javax.xml.soap.*;
import javax.xml.ws.soap.*;
import javax.xml.ws.handler.*;
import javax.xml.ws.LogicalMessage;

import javax.annotation.PreDestroy;
import javax.annotation.PostConstruct;


public class Handler implements javax.xml.ws.handler.LogicalHandler<LogicalMessageContext>
{
    @PostConstruct
    public void myInit() {
    }

    @PreDestroy
    public void myDestroy() {
    }

    public boolean handleMessage(LogicalMessageContext context)
    {
        return true;
    }



    public void close(MessageContext context)
    {
    }

    public boolean handleFault(LogicalMessageContext context)
    {
        return true;
    }
}
